### Method

# FwupdPlugin Device get_equivalent_id

#### Declaration [src]

    const gchar*
    fu_device_get_equivalent_id (
      FuDevice* self
    )

#### Description [src]

Gets any equivalent ID for a device.

Available since: | 0.6.1

Gets property | `FwupdPlugin.Device:equivalent-id`

#### Return value

Returns: | `const gchar*`
| A #gchar or NULL.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.